Bug 462652 - mono-core.i386 conflicts with mono-core.x86_64
mono-core.i386 conflicts with mono-core.x86_64
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: mono (Show other bugs)
9
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Xavier Lamien
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-09-17 16:05 EDT by David Rees
Modified: 2008-10-11 17:56 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-10-11 17:56:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Rees 2008-09-17 16:05:49 EDT
Description of problem:
It's not possible to install both mono-core.i386 and mono-core.x86_64. When trying to do so, RPM complains that /usr/bin/smcs conflicts.

Version-Release number of selected component (if applicable):
mono-core-1.9.1-2.fc9.x86_64
mono-core-1.9.1-2.fc9.i386

Steps to Reproduce:
1. Try to install both mono-core.i386 and mono-core.x86_64
  
Actual results:
Transaction Check Error:
  file /usr/bin/smcs from install of mono-core-1.9.1-2.fc9.i386 conflicts with file from package mono-core-1.9.1-2.fc9.x86_64

Additional info:
I found this thread on the fedora-devel-list which describes the issue and a solution:

https://www.redhat.com/archives/fedora-devel-list/2008-February/msg02322.html
Comment 1 Paul F. Johnson 2008-10-11 17:56:13 EDT
smcs has been removed in the current rawhide fedora release. I'll be pushing mono-2.0 into f9 at some point this week.

Note You need to log in before you can comment on or make changes to this bug.